Index: plugins/dcCKEditor/js/ckeditor-plugins/dclink/plugin.js
===================================================================
--- plugins/dcCKEditor/js/ckeditor-plugins/dclink/plugin.js	(revision 2962)
+++ plugins/dcCKEditor/js/ckeditor-plugins/dclink/plugin.js	(revision 3880)
@@ -1,47 +1,50 @@
+/*global CKEDITOR, dotclear, $ */
+'use strict';
+
 (function() {
-	CKEDITOR.plugins.add('dclink', {
-		icons: 'dclink',
-		init: function(editor) {
-			editor.addCommand('dcLinkCommand', {
-				exec: function(editor) {
-					if (editor.getSelection().getSelectedElement()!=null
-					    || editor.getSelection().getNative().toString().replace(/\s*/,'')!='') {
-						$.toolbarPopup('popup_link.php?plugin_id=dcCKEditor');
-					}
-				}
-			});
+  CKEDITOR.plugins.add('dclink', {
+    icons: 'dclink',
+    init: function(editor) {
+      editor.addCommand('dcLinkCommand', {
+        exec: function(editor) {
+          if (editor.getSelection().getSelectedElement() != null ||
+            editor.getSelection().getNative().toString().replace(/\s*/, '') != '') {
+            $.toolbarPopup('popup_link.php?plugin_id=dcCKEditor');
+          }
+        }
+      });
 
-			editor.ui.addButton('dcLink', {
-				label: dotclear.msg.link_title,
-				command: 'dcLinkCommand',
-				toolbar: 'insert'
-			});
+      editor.ui.addButton('dcLink', {
+        label: dotclear.msg.link_title,
+        command: 'dcLinkCommand',
+        toolbar: 'insert'
+      });
 
-			editor.on('doubleclick',function(e) {
-				var element = CKEDITOR.plugins.link.getSelectedLink(editor) || e.data.element;
-				if (!element.isReadOnly()) {
-					if (element.is('a')
-					    && !element.hasClass('media-link') // link to original media @see js/popup_media.js
-					    && !element.hasClass('ref-post')) {    // link to an entry @see js/popup_posts.js
+      editor.on('doubleclick', function(e) {
+        const element = CKEDITOR.plugins.link.getSelectedLink(editor) || e.data.element;
+        if (!element.isReadOnly()) {
+          if (element.is('a') &&
+            !element.hasClass('media-link') && // link to original media @see js/popup_media.js
+            !element.hasClass('ref-post')) { // link to an entry @see js/popup_posts.js
 
-						editor.getSelection().selectElement(element);
+            editor.getSelection().selectElement(element);
 
-						var popup_url = 'popup_link.php?plugin_id=dcCKEditor';
-						if (element.getAttribute('href')) {
-							popup_url += '&href='+element.getAttribute('href');
-						}
-						if (element.getAttribute('hreflang')) {
-							popup_url += '&hreflang='+element.getAttribute('hreflang');
-						}
-						if (element.getAttribute('title')) {
-							popup_url += '&title='+element.getAttribute('title');
-						}
+            let popup_url = 'popup_link.php?plugin_id=dcCKEditor';
+            if (element.getAttribute('href')) {
+              popup_url += '&href=' + element.getAttribute('href');
+            }
+            if (element.getAttribute('hreflang')) {
+              popup_url += '&hreflang=' + element.getAttribute('hreflang');
+            }
+            if (element.getAttribute('title')) {
+              popup_url += '&title=' + element.getAttribute('title');
+            }
 
-						$.toolbarPopup(popup_url);
-						return false;
-					}
-				}
-			});
-		}
-	});
+            $.toolbarPopup(popup_url);
+            return false;
+          }
+        }
+      });
+    }
+  });
 })();
Index: plugins/dcCKEditor/js/ckeditor-plugins/entrylink/plugin.js
===================================================================
--- plugins/dcCKEditor/js/ckeditor-plugins/entrylink/plugin.js	(revision 2901)
+++ plugins/dcCKEditor/js/ckeditor-plugins/entrylink/plugin.js	(revision 3880)
@@ -1,36 +1,41 @@
+/*global CKEDITOR, dotclear, $ */
+'use strict';
+
 (function() {
-	CKEDITOR.plugins.add('entrylink', {
-		icons: 'entrylink',
-		init: function(editor) {
-			popup_params = { 'width': 760, 'height': 500};
+  CKEDITOR.plugins.add('entrylink', {
+    icons: 'entrylink',
+    init: function(editor) {
+      const popup_params = {
+        'width': 760,
+        'height': 500
+      };
 
-			editor.addCommand('entryLinkCommand', {
-				exec: function(editor) {
-					if (editor.getSelection().getNative().toString().replace(/\s*/,'')!='') {
-						$.toolbarPopup('popup_posts.php?popup=1&plugin_id=dcCKEditor', popup_params);
-					}
-				}
-			});
+      editor.addCommand('entryLinkCommand', {
+        exec: function(editor) {
+          if (editor.getSelection().getNative().toString().replace(/\s*/, '') != '') {
+            $.toolbarPopup('popup_posts.php?popup=1&plugin_id=dcCKEditor', popup_params);
+          }
+        }
+      });
 
-			editor.ui.addButton('EntryLink', {
-				label: dotclear.msg.post_link_title,
-				command: 'entryLinkCommand',
-				toolbar: 'insert'
-			});
+      editor.ui.addButton('EntryLink', {
+        label: dotclear.msg.post_link_title,
+        command: 'entryLinkCommand',
+        toolbar: 'insert'
+      });
 
-			editor.on('doubleclick',function(e) {
-				var element = CKEDITOR.plugins.link.getSelectedLink(editor) || e.data.element;
-				if (!element.isReadOnly()) {
-					if (element.is('a')
-					    && !element.hasClass('media-link')
-					    && element.hasClass('ref-post')) { // link to original media @see js/popup_media.js
-						editor.getSelection().selectElement(element);
+      editor.on('doubleclick', function(e) {
+        const element = CKEDITOR.plugins.link.getSelectedLink(editor) || e.data.element;
+        if (!element.isReadOnly()) {
+          if (element.is('a') && !element.hasClass('media-link') && element.hasClass('ref-post')) {
+            // link to original media @see js/popup_media.js
+            editor.getSelection().selectElement(element);
 
-						$.toolbarPopup('popup_posts.php?popup=1&plugin_id=dcCKEditor', popup_params);
-						return false;
-					}
-				}
-			});
-		}
-	});
+            $.toolbarPopup('popup_posts.php?popup=1&plugin_id=dcCKEditor', popup_params);
+            return false;
+          }
+        }
+      });
+    }
+  });
 })();
Index: plugins/dcCKEditor/js/ckeditor-plugins/img/plugin.js
===================================================================
--- plugins/dcCKEditor/js/ckeditor-plugins/img/plugin.js	(revision 2869)
+++ plugins/dcCKEditor/js/ckeditor-plugins/img/plugin.js	(revision 3880)
@@ -1,16 +1,19 @@
+/*global CKEDITOR, dotclear */
+'use strict';
+
 (function() {
-	CKEDITOR.plugins.add('img', {
-		init: function(editor) {
-			editor.addCommand('dcImgCommand', new CKEDITOR.dialogCommand('imgDialog'));
+  CKEDITOR.plugins.add('img', {
+    init: function(editor) {
+      editor.addCommand('dcImgCommand', new CKEDITOR.dialogCommand('imgDialog'));
 
-			CKEDITOR.dialog.add('imgDialog', this.path+'dialogs/img.js');
+      CKEDITOR.dialog.add('imgDialog', this.path + 'dialogs/img.js');
 
-			editor.ui.addButton('img', {
-				label: dotclear.msg.img_title,
-				command: 'dcImgCommand',
-				toolbar: 'insert',
-				icon: this.path + 'icons/img.png'
-			});
-		}
-	});
+      editor.ui.addButton('img', {
+        label: dotclear.msg.img_title,
+        command: 'dcImgCommand',
+        toolbar: 'insert',
+        icon: this.path + 'icons/img.png'
+      });
+    }
+  });
 })();
Index: plugins/dcCKEditor/js/ckeditor-plugins/media/plugin.js
===================================================================
--- plugins/dcCKEditor/js/ckeditor-plugins/media/plugin.js	(revision 2835)
+++ plugins/dcCKEditor/js/ckeditor-plugins/media/plugin.js	(revision 3880)
@@ -1,30 +1,36 @@
+/*global CKEDITOR, dotclear, $ */
+'use strict';
+
 (function() {
-	CKEDITOR.plugins.add('media', {
-		icons: 'media',
-		init: function(editor) {
-			popup_params = { 'width': 760, 'height': 500};
+  CKEDITOR.plugins.add('media', {
+    icons: 'media',
+    init: function(editor) {
+      const popup_params = {
+        'width': 760,
+        'height': 500
+      };
 
-			editor.addCommand('mediaCommand', {
-				exec: function(editor) {
-					$.toolbarPopup('media.php?popup=1&plugin_id=dcCKEditor', popup_params);
-				}
-			});
+      editor.addCommand('mediaCommand', {
+        exec: function() {
+          $.toolbarPopup('media.php?popup=1&plugin_id=dcCKEditor', popup_params);
+        }
+      });
 
-			editor.ui.addButton('Media', {
-				label: dotclear.msg.img_select_title,
-				command: 'mediaCommand',
-				toolbar: 'insert'
-			});
+      editor.ui.addButton('Media', {
+        label: dotclear.msg.img_select_title,
+        command: 'mediaCommand',
+        toolbar: 'insert'
+      });
 
-			editor.on('doubleclick',function(e) {
-				var element = CKEDITOR.plugins.link.getSelectedLink(editor) || e.data.element;
-				if (!element.isReadOnly()) {
-					if (element.is('img') || (element.is('a') && element.hasClass('media-link'))) {
-						$.toolbarPopup('media.php?popup=1&plugin_id=dcCKEditor', popup_params);
-						return false;
-					}
-				}
-			});
-		}
-	});
+      editor.on('doubleclick', function(e) {
+        const element = CKEDITOR.plugins.link.getSelectedLink(editor) || e.data.element;
+        if (!element.isReadOnly()) {
+          if (element.is('img') || (element.is('a') && element.hasClass('media-link'))) {
+            $.toolbarPopup('media.php?popup=1&plugin_id=dcCKEditor', popup_params);
+            return false;
+          }
+        }
+      });
+    }
+  });
 })();
Index: plugins/dcCKEditor/js/ckeditor-skins/dotclear/skin.js
===================================================================
--- plugins/dcCKEditor/js/ckeditor-skins/dotclear/skin.js	(revision 2738)
+++ plugins/dcCKEditor/js/ckeditor-skins/dotclear/skin.js	(revision 3880)
@@ -1,2 +1,5 @@
+/*global CKEDITOR */
+'use strict';
+
 CKEDITOR.skin.name = 'dotclear';
 
Index: plugins/dcCKEditor/js/popup_link.js
===================================================================
--- plugins/dcCKEditor/js/popup_link.js	(revision 3709)
+++ plugins/dcCKEditor/js/popup_link.js	(revision 3880)
@@ -8,13 +8,13 @@
 
   $('#link-insert-ok').click(function() {
-    var insert_form = $('#link-insert-form').get(0);
+    const insert_form = $('#link-insert-form').get(0);
     if (insert_form == undefined) {
       return;
     }
 
-    var editor_name = window.opener.$.getEditorName(),
-      editor = window.opener.CKEDITOR.instances[editor_name],
-      link = '',
-      selected_element;
+    const editor_name = window.opener.$.getEditorName();
+    const editor = window.opener.CKEDITOR.instances[editor_name];
+    let link = '';
+    let selected_element;
     if (editor.getSelection().getSelectedElement() != null) {
       selected_element = editor.getSelection().getSelectedElement();
Index: plugins/dcCKEditor/js/popup_media.js
===================================================================
--- plugins/dcCKEditor/js/popup_media.js	(revision 3725)
+++ plugins/dcCKEditor/js/popup_media.js	(revision 3880)
@@ -8,35 +8,35 @@
 
   $('#media-insert-ok').click(function() {
-    var insert_form = $('#media-insert-form').get(0);
+    const insert_form = $('#media-insert-form').get(0);
     if (insert_form === undefined) {
       return;
     }
 
-    var editor_name = window.opener.$.getEditorName(),
-      editor = window.opener.CKEDITOR.instances[editor_name],
-      type = insert_form.elements.type.value,
-      media_align_grid = {
-        left: 'float: left; margin: 0 1em 1em 0;',
-        right: 'float: right; margin: 0 0 1em 1em;',
-        center: 'margin: 0 auto; display: table;'
-      };
+    const editor_name = window.opener.$.getEditorName();
+    const editor = window.opener.CKEDITOR.instances[editor_name];
+    const type = insert_form.elements.type.value;
+    const media_align_grid = {
+      left: 'float: left; margin: 0 1em 1em 0;',
+      right: 'float: right; margin: 0 0 1em 1em;',
+      center: 'margin: 0 auto; display: table;'
+    };
 
     if (type == 'image') {
       if (editor.mode == 'wysiwyg') {
 
-        var align = $('input[name="alignment"]:checked', insert_form).val();
-        var media_legend = $('input[name="legend"]:checked', insert_form).val();
-        var img_description = $('input[name="description"]', insert_form).val();
-        var style = '';
-        var template = '';
-        var template_figure = [
+        const align = $('input[name="alignment"]:checked', insert_form).val();
+        let media_legend = $('input[name="legend"]:checked', insert_form).val();
+        const img_description = $('input[name="description"]', insert_form).val();
+        let style = '';
+        let template = '';
+        let template_figure = [
           '',
           ''
         ];
-        var template_link = [
+        let template_link = [
           '',
           ''
         ];
-        var template_image = '';
+        let template_image = '';
 
         if (media_legend != '' && media_legend != 'title' && media_legend != 'none') {
@@ -58,5 +58,5 @@
           template_figure[1] = template_figure[1] + '</figure>';
         }
-        template_image = '<img class="media" src="{imgSrc}" alt="{imgAlt}"' + style + '/>';
+        template_image = `<img class="media" src="{imgSrc}" alt="{imgAlt}"${style}/>`;
         if ($('input[name="insertion"]:checked', insert_form).val() == 'link') {
           // With a link to original
@@ -66,6 +66,6 @@
         template = template_figure[0] + template_link[0] + template_image + template_link[1] + template_figure[1];
 
-        var block = new window.opener.CKEDITOR.template(template);
-        var params = {};
+        let block = new window.opener.CKEDITOR.template(template);
+        let params = {};
 
         // Set parameters for template
@@ -86,32 +86,34 @@
 
         // Insert element
-        var figure = window.opener.CKEDITOR.dom.element.createFromHtml(
+        const figure = window.opener.CKEDITOR.dom.element.createFromHtml(
           block.output(params), editor.document
         );
         editor.insertElement(figure);
       }
+
     } else if (type == 'mp3') {
       // Audio media
-      var player_audio = $('#public_player').val();
-      var align_audio = $('input[name="alignment"]:checked', insert_form).val();
+      let player_audio = $('#public_player').val();
+      const align_audio = $('input[name="alignment"]:checked', insert_form).val();
 
       if (align_audio != undefined && align_audio != 'none') {
-        player_audio = '<div style="' + media_align_grid[align_audio] + '">' + player_audio + '</div>';
+        player_audio = `<div style="${media_align_grid[align_audio]}">${player_audio}</div>`;
       }
       editor.insertElement(window.opener.CKEDITOR.dom.element.createFromHtml(player_audio));
+
     } else if (type == 'flv') {
       // Video media
-      var oplayer = $('<div>' + $('#public_player').val() + '</div>');
-      var flashvars = $('[name=FlashVars]', oplayer).val();
+      const oplayer = $(`<div>${$('#public_player').val()}</div>`);
+      let flashvars = $('[name=FlashVars]', oplayer).val();
 
-      var align_video = $('input[name="alignment"]:checked', insert_form).val();
+      const align_video = $('input[name="alignment"]:checked', insert_form).val();
 
-      var title = insert_form.elements.title.value;
+      const title = insert_form.elements.title.value;
       if (title) {
-        flashvars = 'title=' + encodeURI(title) + '&amp;' + flashvars;
+        flashvars = `title=${encodeURI(title)}&amp;${flashvars}`;
       }
 
-      var vw = $('#video_w').val();
-      var vh = $('#video_h').val();
+      const vw = $('#video_w').val();
+      const vh = $('#video_h').val();
 
       if (vw > 0) {
@@ -135,16 +137,16 @@
 
       $('[name=FlashVars]', oplayer).val(flashvars);
-      var player_video = oplayer.html();
+      let player_video = oplayer.html();
 
       if (align_video != undefined && align_video != 'none') {
-        player_video = '<div style="' + media_align_grid[align_video] + '">' + player_video + '</div>';
+        player_video = `<div style="${media_align_grid[align_video]}">${player_video}</div>`;
       }
       editor.insertElement(window.opener.CKEDITOR.dom.element.createFromHtml(player_video));
+
     } else {
       // Unknown media type
-      var link = '<a href="';
-      link += window.opener.$.stripBaseURL($('input[name="url"]', insert_form).val());
-      link += '">' + window.opener.CKEDITOR.tools.htmlEncodeAttr(insert_form.elements.title.value) + '</a>';
-      var element = window.opener.CKEDITOR.dom.element.createFromHtml(link);
+      const url = window.opener.$.stripBaseURL($('input[name="url"]', insert_form).val());
+      const text = window.opener.CKEDITOR.tools.htmlEncodeAttr(insert_form.elements.title.value);
+      const element = window.opener.CKEDITOR.dom.element.createFromHtml(`<a href="${url}">${text}</a>`);
 
       editor.insertElement(element);
Index: plugins/dcCKEditor/js/popup_posts.js
===================================================================
--- plugins/dcCKEditor/js/popup_posts.js	(revision 3709)
+++ plugins/dcCKEditor/js/popup_posts.js	(revision 3880)
@@ -9,12 +9,12 @@
   $('#form-entries tr>td.maximal>a').click(function(e) {
     e.preventDefault();
-    var editor_name = window.opener.$.getEditorName(),
-      editor = window.opener.CKEDITOR.instances[editor_name],
-      link = '',
-      selected_text = editor.getSelection().getNative().toString();
+    const editor_name = window.opener.$.getEditorName();
+    const editor = window.opener.CKEDITOR.instances[editor_name];
+    let link = '';
+    const selected_text = editor.getSelection().getNative().toString();
 
     if (editor.mode == 'wysiwyg') {
       link = '<a class="ref-post" href="' + window.opener.$.stripBaseURL($(this).attr('title')) + '">' + selected_text + '</a>';
-      var element = window.opener.CKEDITOR.dom.element.createFromHtml(link);
+      const element = window.opener.CKEDITOR.dom.element.createFromHtml(link);
       editor.insertElement(element);
     }
Index: plugins/dcCKEditor/tpl/index.php
===================================================================
--- plugins/dcCKEditor/tpl/index.php	(revision 3875)
+++ plugins/dcCKEditor/tpl/index.php	(revision 3875)
@@ -0,0 +1,109 @@
+<html>
+  <head>
+    <title>
+      dcCKEditor
+    </title>
+  </head>
+  <body>
+    <?php echo dcPage::breadcrumb([__('Plugins') =>
+    '', __('dcCKEditor') => '']) . dcPage::notices(); ?>
+    <?php if ($is_admin): ?>
+    <h3 class="hidden-if-js">
+      <?php echo __('Settings'); ?>
+    </h3>
+    <form action="<?php echo $p_url; ?>" enctype="multipart/form-data" method="post">
+      <div class="fieldset">
+        <h3>
+          <?php echo __('Plugin activation'); ?>
+        </h3>
+        <p>
+          <label class="classic" for="dcckeditor_active">
+            <?php echo form::checkbox('dcckeditor_active', 1, $dcckeditor_active); ?>
+            <?php echo __('Enable dcCKEditor plugin'); ?>
+          </label>
+        </p>
+      </div>
+      <?php if ($dcckeditor_active): ?>
+      <div class="fieldset">
+        <h3>
+          <?php echo __('Options'); ?>
+        </h3>
+        <p>
+          <?php echo form::checkbox('dcckeditor_alignment_buttons', 1, $dcckeditor_alignment_buttons); ?>
+          <label class="classic" for="dcckeditor_alignment_buttons">
+            <?php echo __('Add alignment buttons'); ?>
+          </label>
+        </p>
+        <p>
+          <?php echo form::checkbox('dcckeditor_list_buttons', 1, $dcckeditor_list_buttons); ?>
+          <label class="classic" for="dcckeditor_list_buttons">
+            <?php echo __('Add lists buttons'); ?>
+          </label>
+        </p>
+        <p>
+          <?php echo form::checkbox('dcckeditor_textcolor_button', 1, $dcckeditor_textcolor_button); ?>
+          <label class="classic" for="dcckeditor_textcolor_button">
+            <?php echo __('Add text color button'); ?>
+          </label>
+        </p>
+        <p>
+          <?php echo form::checkbox('dcckeditor_background_textcolor_button', 1, $dcckeditor_background_textcolor_button); ?>
+          <label class="classic" for="dcckeditor_background_textcolor_button">
+            <?php echo __('Add background text color button'); ?>
+          </label>
+        </p>
+        <p>
+          <?php echo form::checkbox('dcckeditor_cancollapse_button', 1, $dcckeditor_cancollapse_button); ?>
+          <label class="classic" for="dcckeditor_cancollapse_button">
+            <?php echo __('Add collapse button'); ?>
+          </label>
+        </p>
+        <p>
+          <?php echo form::checkbox('dcckeditor_format_select', 1, $dcckeditor_format_select); ?>
+          <label class="classic" for="dcckeditor_format_select">
+            <?php echo __('Add format selection'); ?>
+          </label>
+        </p>
+        <p>
+          <label class="classic" for="dcckeditor_format_tags">
+            <?php echo __('Custom formats'); ?>
+          </label>
+          <?php echo form::field('dcckeditor_format_tags', 100, 255, $dcckeditor_format_tags); ?>
+        </p>
+        <p class="clear form-note">
+          <?php echo __('Default formats are p;h1;h2;h3;h4;h5;h6;pre;address'); ?>
+        </p>
+        <p>
+          <?php echo form::checkbox('dcckeditor_table_button', 1, $dcckeditor_table_button); ?>
+          <label class="classic" for="dcckeditor_table_button">
+            <?php echo __('Add table button'); ?>
+          </label>
+        </p>
+        <p>
+          <?php echo form::checkbox('dcckeditor_clipboard_buttons', 1, $dcckeditor_clipboard_buttons); ?>
+          <label class="classic" for="dcckeditor_clipboard_buttons">
+            <?php echo __('Add clipboard buttons'); ?>
+          </label>
+        </p>
+        <p class="clear form-note">
+          <?php echo __('Copy, Paste, Paste Text, Paste from Word'); ?>
+        </p>
+        <p>
+          <?php echo form::checkbox('dcckeditor_disable_native_spellchecker', 1, $dcckeditor_disable_native_spellchecker); ?>
+          <label class="classic" for="dcckeditor_disable_native_spellchecker">
+            <?php echo __('Disables the built-in spell checker if the browser provides one'); ?>
+          </label>
+        </p>
+      </div>
+      <?php endif;?>
+      <p>
+        <input name="p" type="hidden" value="dcCKEditor"/>
+        <?php echo $core->
+    formNonce(); ?>
+        <input name="saveconfig" type="submit" value="<?php echo __('Save configuration'); ?>"/>
+      </p>
+    </form>
+    <?php endif;?>
+    <?php dcPage::helpBlock('dcCKEditor');?>
+  </body>
+</html>
Index: plugins/dcLegacyEditor/_admin.php
===================================================================
--- plugins/dcLegacyEditor/_admin.php	(revision 3731)
+++ plugins/dcLegacyEditor/_admin.php	(revision 3874)
@@ -27,9 +27,9 @@
 
     $core->addEditorFormater('dcLegacyEditor', 'xhtml', function ($s) {return $s;});
-    $core->addEditorFormater('dcLegacyEditor', 'wiki', array($core->wiki2xhtml, 'transform'));
+    $core->addEditorFormater('dcLegacyEditor', 'wiki', [$core->wiki2xhtml, 'transform']);
 
-    $core->addBehavior('adminPostEditor', array('dcLegacyEditorBehaviors', 'adminPostEditor'));
-    $core->addBehavior('adminPopupMedia', array('dcLegacyEditorBehaviors', 'adminPopupMedia'));
-    $core->addBehavior('adminPopupLink', array('dcLegacyEditorBehaviors', 'adminPopupLink'));
-    $core->addBehavior('adminPopupPosts', array('dcLegacyEditorBehaviors', 'adminPopupPosts'));
+    $core->addBehavior('adminPostEditor', ['dcLegacyEditorBehaviors', 'adminPostEditor']);
+    $core->addBehavior('adminPopupMedia', ['dcLegacyEditorBehaviors', 'adminPopupMedia']);
+    $core->addBehavior('adminPopupLink', ['dcLegacyEditorBehaviors', 'adminPopupLink']);
+    $core->addBehavior('adminPopupPosts', ['dcLegacyEditorBehaviors', 'adminPopupPosts']);
 }
Index: plugins/dcLegacyEditor/_define.php
===================================================================
--- plugins/dcLegacyEditor/_define.php	(revision 3731)
+++ plugins/dcLegacyEditor/_define.php	(revision 3874)
@@ -17,11 +17,11 @@
     "dotclear Team",          // Author
     '0.1.4',                  // Version
-    array(
+    [
         'permissions' => 'usage,contentadmin',
         'type'        => 'plugin',
-        'settings'    => array(
+        'settings'    => [
             'self' => '',
             'pref' => '#user-options.user_options_edition'
-        )
-    )
+        ]
+    ]
 );
Index: plugins/dcLegacyEditor/inc/dc.legacy.editor.behaviors.php
===================================================================
--- plugins/dcLegacyEditor/inc/dc.legacy.editor.behaviors.php	(revision 3731)
+++ plugins/dcLegacyEditor/inc/dc.legacy.editor.behaviors.php	(revision 3874)
@@ -22,5 +22,5 @@
      * @param syntax   <b>string</b> wanted syntax (wiki,markdown,...)
      */
-    public static function adminPostEditor($editor = '', $context = '', array $tags = array(), $syntax = '')
+    public static function adminPostEditor($editor = '', $context = '', array $tags = [], $syntax = '')
     {
         if (empty($editor) || $editor != 'dcLegacyEditor') {return;}
Index: plugins/dcLegacyEditor/index.php
===================================================================
--- plugins/dcLegacyEditor/index.php	(revision 3731)
+++ plugins/dcLegacyEditor/index.php	(revision 3875)
@@ -29,3 +29,3 @@
 }
 
-include dirname(__FILE__) . '/tpl/index.tpl';
+include dirname(__FILE__) . '/tpl/index.php';
Index: plugins/dcLegacyEditor/js/_post_editor.js
===================================================================
--- plugins/dcLegacyEditor/js/_post_editor.js	(revision 3744)
+++ plugins/dcLegacyEditor/js/_post_editor.js	(revision 3880)
@@ -11,9 +11,14 @@
   }
 
+  // To be reviewed!
+  let formatField;
+  let excerptTb;
+  let contentTb;
+
   if ((dotclear.legacy_editor_tags_context[dotclear.legacy_editor_context].indexOf('#post_content') !== -1) &&
     (dotclear.legacy_editor_tags_context[dotclear.legacy_editor_context].indexOf('#post_excerpt') !== -1)) {
     // Get document format and prepare toolbars
-    var formatField = $('#post_format').get(0);
-    var last_post_format = $(formatField).val();
+    formatField = $('#post_format').get(0);
+    let last_post_format = $(formatField).val();
     $(formatField).change(function() {
       if (this.value != 'dcLegacyEditor') {
@@ -21,5 +26,5 @@
       }
 
-      var post_format = this.value;
+      const post_format = this.value;
 
       // Confirm post format change
@@ -37,6 +42,6 @@
     });
 
-    var excerptTb = new jsToolBar(document.getElementById('post_excerpt'));
-    var contentTb = new jsToolBar(document.getElementById('post_content'));
+    excerptTb = new jsToolBar(document.getElementById('post_excerpt'));
+    contentTb = new jsToolBar(document.getElementById('post_content'));
     excerptTb.context = contentTb.context = 'post';
 
@@ -47,5 +52,5 @@
   if (dotclear.legacy_editor_tags_context[dotclear.legacy_editor_context].indexOf('#comment_content') !== -1) {
     if ($('#comment_content').length > 0) {
-      var commentTb = new jsToolBar(document.getElementById('comment_content'));
+      let commentTb = new jsToolBar(document.getElementById('comment_content'));
       commentTb.draw('xhtml');
     }
@@ -75,6 +80,6 @@
 
     // Check unsaved changes before XHTML conversion
-    var excerpt = $('#post_excerpt').val();
-    var content = $('#post_content').val();
+    const excerpt = $('#post_excerpt').val();
+    const content = $('#post_content').val();
     $('#convert-xhtml').click(function() {
       if (excerpt != $('#post_excerpt').val() || content != $('#post_content').val()) {
